| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.TreeList.TreeIter

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Types
Methods

Description

- This module and all other modules in Graphics.UI.Gtk.TreeList are deprecated. Please use the modules in Graphics.UI.Gtk.ModelView.

Synopsis

data TreeIter = TreeIter !CInt !Word !Word !Word
receiveTreeIter :: (Ptr TreeIter -> IO CInt) -> IO (Maybe TreeIter)

Types
data TreeIter

Tree Iterator: a pointer to an entry in a Graphics.UI.Gtk.ModelView.TreeModel.
Constructors

TreeIter !CInt !Word !Word !Word |

Instances

Show TreeIter
Storable TreeIter

Methods
receiveTreeIter :: (Ptr TreeIter -> IO CInt) -> IO (Maybe TreeIter)
Produced by Haddock version 2.4.2